Apache C++ Standard Library Reference Guide

## not2()

Library: General utilities

    Function

- Local Index
- Summary
- Synopsis
- Description
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A function adaptor used to reverse the sense of a binary predicate function object

### Synopsis

    #include <functional>

    namespace std {
      template <class Predicate>
      binary_negate<Predicate> not2(const Predicate& pred);
    }

### Description

`not2()` is a function adaptor, known as a negator, that takes a binary predicate function object as its argument and returns a binary predicate function object that is the complement of the original. binary_negate is the function object class used as a return type for the `not2()` negator.

Note that `not2()` works only with function objects that are defined as subclasses of the class binary_function.

### See Also

binary_function, binary_negate, Negators, `not1()`, pointer_to_binary_function, unary_negate

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.5